gRPC C#
gRPC C#
Namespaces
Grpc.Core
Method(TRequest, TResponse) Class
Method(TRequest, TResponse) Constructor
Method(TRequest, TResponse) Properties
Method(TRequest, TResponse) Methods

Method TRequest, TResponse Constructor

Initializes a new instance of the Method class.

Namespace: Grpc.Core
Assembly: Grpc.Core (in Grpc.Core.dll) Version: 0.7.0.0
Syntax
C#
VB
C++
F#
Copy

    public Method(
    	MethodType type,
    	string serviceName,
    	string name,
    	Marshaller<TRequest> requestMarshaller,
    	Marshaller<TResponse> responseMarshaller
    )

    Public Sub New (
    	type As MethodType,
    	serviceName As String,
    	name As String,
    	requestMarshaller As Marshaller(Of TRequest),
    	responseMarshaller As Marshaller(Of TResponse)
    )

    public:
    Method(
    	MethodType type,
    	String^ serviceName,
    	String^ name,
    	Marshaller<TRequest>^ requestMarshaller,
    	Marshaller<TResponse>^ responseMarshaller
    )

    new :
            type : MethodType *
            serviceName : string *
            name : string *
            requestMarshaller : Marshaller<'TRequest> *
            responseMarshaller : Marshaller<'TResponse> -> Method

#### Parameters

type
  Type: Grpc.Core
  MethodType
  Type of method.
serviceName
  Type: System
  String
  Name of service this method belongs to.
name
  Type: System
  String
  Unqualified name of the method.
requestMarshaller
  Type: Grpc.Core
  Marshaller
  TRequest
  Marshaller used for request messages.
responseMarshaller
  Type: Grpc.Core
  Marshaller
  TResponse
  Marshaller used for response messages.

See Also

#### Reference

Method
TRequest, TResponse
Class
Grpc.Core Namespace